Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.start
Class Main

    java.lang.Object
      org.eclipse.jetty.start.Main

    public class Main

extends java.lang.Object

Main start class. This class is intended to be the main class listed in the MANIFEST.MF of the start.jar archive. It allows an application to be started with the command "java -jar start.jar".

The behaviour of Main is controlled by the parsing of the `Config` "org/eclipse/start/start.config" file obtained as a resource or file.

Constructor Summary
`Main()`

Method Summary
`static void` | `close(java.io.Closeable c)`
`void` | `invokeMain(java.lang.ClassLoader classloader, java.lang.String classname, java.util.List<java.lang.String> args)`
`static void` | `main(java.lang.String[] args)`
`void` | `parseCommandLine(java.lang.String[] args)`
`void` | `start(java.util.List<java.lang.String> xmls)`
`void` | `stop(int port, java.lang.String key)` Stop a running jetty instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main()

Method Detail

### main

    public static void main(java.lang.String[] args)

### parseCommandLine

    public void parseCommandLine(java.lang.String[] args)

### invokeMain

    public void invokeMain(java.lang.ClassLoader classloader,
                           java.lang.String classname,
                           java.util.List<java.lang.String> args)
                    throws java.lang.IllegalAccessException,
                           java.lang.reflect.InvocationTargetException,
                           java.lang.NoSuchMethodException,
                           java.lang.ClassNotFoundException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.NoSuchMethodException`
    `java.lang.ClassNotFoundException`

### close

    public static void close(java.io.Closeable c)

### start

    public void start(java.util.List<java.lang.String> xmls)
               throws java.io.FileNotFoundException,
                      java.io.IOException,
                      java.lang.InterruptedException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.lang.InterruptedException`

### stop

    public void stop(int port,
                     java.lang.String key)

  Stop a running jetty instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.